Subject: Lime scented geranium

From: AJD <[email-masked]>
Date: Tue, 7 Mar 1995 18:50:25 GMT

I have a lime scented geranium that is taking over a corner of my garden.  I 
trimmed it back the other day, but didn't have the heart to throw the trimmings 
away since they smelled so good. Right now I have a lime bouquet in a vase, but 
was wondering what else I can do with scented geranium cuttings.  Do they dry 
well?  Good in recipes? Any ideas?